第 5 章 从 Red Hat Application Interconnect 版本 1 升级站点

此 Red Hat Service Interconnect 发行版本与 Red Hat Application Interconnect 版本 1 兼容,但红帽建议将所有站点升级到 1.4 版本。

注意

更新所有站点,以确保 Service Interconnect 的同一版本在您的服务网络中运行。在更新的过程中,可能会有短暂的停机时间。

要升级站点:

$ skupper update
注意

如果您之前启用了控制台(这是默认设置),则升级的站点也会启用控制台。Service Interconnect 1.4 的默认设置是没有启用控制台。Service Interconnect 的控制台是一个技术预览功能,如 第 2 章 技术预览功能 所述。

要升级网关,请删除网关并重新创建。

端口协商限制

如果您的协议协商通信端口,如活跃的 FTP,则无法使用该协议在服务网络中进行通信。